Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# separator.h File Reference

A GtkSeparator, GtkHSeparator and GtkVSeparator C++ wrapper interface. More...

`#include <inti/gtk/widget.h>`
`#include <gtk/gtkhseparator.h>`
`#include <gtk/gtkvseparator.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkSeparator, GtkHSeparator and GtkVSeparator C++ wrapper interface.

Provides Separator, HSeparator and VSeparator. Separator is an abstract widget class used only for deriving the subclasses HSeparator and VSeparator. HSeparator is a horizontal separator and VSeparator is a vertical separator used to group widgets within a window.
Main Page - Footer